Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.dependencies
Class DefaultClientModule

    java.lang.Object
      org.gradle.api.internal.artifacts.dependencies.AbstractDependency
          org.gradle.api.internal.artifacts.dependencies.AbstractModuleDependency
              org.gradle.api.internal.artifacts.dependencies.AbstractExternalDependency
                  org.gradle.api.internal.artifacts.dependencies.DefaultClientModule

All Implemented Interfaces:
  ClientModule

    class DefaultClientModule
    extends AbstractExternalDependency

author:
  Hans Dockter

Constructor Summary
`DefaultClientModule(java.lang.String group, java.lang.String name, java.lang.String version)`
`DefaultClientModule(java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String configuration)`

Method Summary
`void` | `addDependency(ModuleDependency dependency)`
`boolean` | `contentEquals(Dependency dependency)`
`ClientModule` | `copy()`
`boolean` | `equals(java.lang.Object o)`
`Set` | `getDependencies()`
`java.lang.String` | `getGroup()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`
`boolean` | `isForce()`
`ClientModule` | `setForce(boolean force)`
`ClientModule` | `setGroup(java.lang.String group)`
`ClientModule` | `setName(java.lang.String name)`
`ClientModule` | `setVersion(java.lang.String version)`

Methods inherited from class AbstractExternalDependency
copyTo, isContentEqualsFor

Methods inherited from class AbstractModuleDependency
addArtifact, artifact, copyTo, exclude, getArtifacts, getConfiguration, getExcludeRules, isCommonContentEquals, isKeyEquals, isTransitive, setArtifacts, setTransitive

Methods inherited from class AbstractDependency
copyTo, hashCode

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultClientModule

    public DefaultClientModule(java.lang.String group, java.lang.String name, java.lang.String version)

### DefaultClientModule

    public DefaultClientModule(java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String configuration)

Method Detail

### addDependency

    public void addDependency(ModuleDependency dependency)

### contentEquals

    public boolean contentEquals(Dependency dependency)

### copy

    public ClientModule copy()

### equals

    @Override
    public boolean equals(java.lang.Object o)

### getDependencies

    public Set getDependencies()

### getGroup

    public java.lang.String getGroup()

### getId

    public java.lang.String getId()

### getName

    public java.lang.String getName()

### getVersion

    public java.lang.String getVersion()

### isForce

    public boolean isForce()

### setForce

    public ClientModule setForce(boolean force)

### setGroup

    public ClientModule setGroup(java.lang.String group)

### setName

    public ClientModule setName(java.lang.String name)

### setVersion

    public ClientModule setVersion(java.lang.String version)

Groovy Documentation